signature dpd_GENA_TCP {
    ip-proto = tcp
    payload /^(NOTIFY[^\x0d\x0a]+HTTP\/1.[0-1]\x0d\x0a)(.*\x0d\x0a)?(S|s)(E|e)(Q|q):./
    enable "spicy_GENA_TCP"
}

signature dpd_GENA_TCP_2 {
    ip-proto = tcp
    payload /^(SUBSCRIBE[^\x0d\x0a]+HTTP\/1.1\x0d\x0a)|(UNSUBSCRIBE[^\x0d\x0a]+HTTP\/1.1\x0d\x0a)/
    enable "spicy_GENA_TCP"
}

signature dpd_GENA_UDP {
    ip-proto = udp
    payload /^(NOTIFY[^\x0d\x0a]+HTTP\/1.[0-1]\x0d\x0a)(.*\x0d\x0a)?(S|s)(E|e)(Q|q):./
    enable "spicy_GENA_UDP"
}

signature dpd_GENA_UDP_2 {
    ip-proto = udp
    payload /^(SUBSCRIBE[^\x0d\x0a]+HTTP\/1.1\x0d\x0a)|(UNSUBSCRIBE[^\x0d\x0a]+HTTP\/1.1\x0d\x0a)/
    enable "spicy_GENA_UDP"
}